org.apache.storm.cassandra.query.builder

## Class BoundCQLStatementMapperBuilder

- java.lang.Object
- - org.apache.storm.cassandra.query.builder.BoundCQLStatementMapperBuilder

- All Implemented Interfaces:
    Serializable, CQLStatementBuilder<BoundCQLStatementTupleMapper>

      public class BoundCQLStatementMapperBuilder
      extends Object
      implements CQLStatementBuilder<BoundCQLStatementTupleMapper>, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundCQLStatementMapperBuilder(ContextQuery contextQuery)` Creates a new `BoundCQLStatementMapperBuilder` instance.
    `BoundCQLStatementMapperBuilder(String cql)` Creates a new `BoundCQLStatementMapperBuilder` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BoundCQLStatementMapperBuilder` | `bind(CqlMapper mapper)` Includes only the specified tuple fields.
    `BoundCQLStatementMapperBuilder` | `bind(FieldSelector... fields)` Includes only the specified tuple fields.
    `BoundCQLStatementTupleMapper` | `build()` Builds a new `CQLStatementTupleMapper` instance.
    `BoundCQLStatementMapperBuilder` | `byNamedSetters()`
    `BoundCQLStatementMapperBuilder` | `withRoutingKeys(String... fields)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundCQLStatementMapperBuilder

          public BoundCQLStatementMapperBuilder(String cql)

      Creates a new `BoundCQLStatementMapperBuilder` instance.

    - #### BoundCQLStatementMapperBuilder

          public BoundCQLStatementMapperBuilder(ContextQuery contextQuery)

      Creates a new `BoundCQLStatementMapperBuilder` instance.

  - ### Method Detail

    - #### bind

          public final BoundCQLStatementMapperBuilder bind(FieldSelector... fields)

      Includes only the specified tuple fields.

      Parameters:
        `fields` - a list of field selector.

    - #### bind

          public final BoundCQLStatementMapperBuilder bind(CqlMapper mapper)

      Includes only the specified tuple fields.

      Parameters:
        `mapper` - a column mapper.

    - #### withRoutingKeys

          public final BoundCQLStatementMapperBuilder withRoutingKeys(String... fields)

    - #### byNamedSetters

          public final BoundCQLStatementMapperBuilder byNamedSetters()

    - #### build

          public BoundCQLStatementTupleMapper build()

      Builds a new `CQLStatementTupleMapper` instance.

      Specified by:
        `build` in interface `CQLStatementBuilder<BoundCQLStatementTupleMapper>`
      Returns:
        a new CQLStatementMapper instance.

Copyright © 2021 The Apache Software Foundation. All rights reserved.